/* 
 * Eneso GTK+ Decoration Library
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __EDECOR_DRAW_H__
#define __EDECOR_DRAW_H__

#include <glib.h>
#include <cairo.h>

void
edecor_draw_text				(cairo_t* cr, gint x, gint y, const gchar* text, const char* font, gboolean center);
void
edecor_draw_text_unformatted	(cairo_t* cr, gint x, gint y, const gchar* text, const char* font, gboolean center);
void
edecor_draw_text_multiline 		(cairo_t* cr, gint x, gint y, const gchar* text, const char* font, gint text_width,
		gboolean center_y);
void
edecor_draw_round_rect 			(cairo_t* cr, gint x, gint y, gint width, gint height, gint radius);
void
edecor_draw_progress_bar		(cairo_t* cr, gint x, gint y, gint width, gint height, gdouble fraction);

#endif /* __EDECOR_DRAW_H__ */
